Attribute VB_Name = "modul_Calaym_SSRelated"
' Copyright (C) 2002-2009 Jan Vorel
'
' This program is free software; you can redistribute it and/or modify
' it under the terms of the GNU General Public License as published by
' the Free Software Foundation; either version 2 of the License, or
' (at your option) any later version.

' This program is distributed in the hope that it will be useful,
' but WITHOUT ANY WARRANTY; without even the implied warranty of
' MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
' GNU General Public License for more details.

' You should have received a copy of the GNU General Public License
' along with this program; if not, write to the Free Software
' Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

' This is a shared modul, class modul, usercontrol or form. It is also
' published under the GNU General Public License.

' If you have any questions, suggestions or bug reports about this product,
' contact me: info@ctuser.net; Do not contact me about general B.A.S.I.C.
' language or A.P.I. issues

Option Explicit
Option Base 0


Public Sub UpdatePanning()
  If CurMusic = ctSSLayer_MusicTypeTracker And Not xSongIsMidi Then
    Call ctSSLayer_UpdatePanning(SongPointer(CurrentSongID), xModPanning)
    End If
  End Sub

Public Function GetDeviceName(ByRef DeviceID As Long) As String
  Dim xLong1 As Long
  
  GetDeviceName = ctSSLayer_GetDeviceName(DeviceID, xLong1)
  If Len(GetDeviceName) = 0& Then
'Debug.Print "DevPatch1"
    GetDeviceName = Replace(LoadResEx_String(3200&), "$", CStr((xLong1 And &HFF&) + 1&))
    End If
  GetDeviceName = Replace(LoadResEx_String(3201& + ((xLong1 And &HFF00&) \ &H100&)), "$", GetDeviceName)
  End Function
